{% extends 'base.html.twig' %}

{% block body %}
	<div style="margin-left:440px">
		<div class="container">
			<div class="col-md-7 mt-3">
				<div class="card mb-5 h-60">
					<h3 class="card-header" style="background-color: rgb(60, 65, 68); color : #fff;">{{annonce.nomAnnonce}}</h3>
					<img src="{{ annonce.image }}" class="center" alt="card image" height="100%" width="100%" style="border: 5px">
					<div class="card-body">
						<p class="card-text">{{annonce.description}}</p>
						<p class="card-text">Quantité :
							{{annonce.quantite}}</p>
						<hr>
					</div>
					<div class="card-body">
						<p>Catégorie :
							{{annonce.laCategorie}}</p>
						<p class="card-text">{{annonce.unEmplacement}}</p>
						<hr>
					</div>
					<div class="card-body">
						<p class="card-text">Vendeur :
							<a href="{{ path("vendeur", {'id': annonce.leVendeur.id}) }}" style="font-size:20px">
								{{annonce.leVendeur}}</a>
						</p>
						<p>Crée le :
							{{annonce.getCreatedAt() | date("d-m-Y")}}</p>
					</div>
					<div class="card-body">
						{% if app.user and annonce in app.user.lesAnnonces %}
							<h5>
								<span class="badge bg-success">A Vous</span>
							</h5>
						{% elseif inPanier %}
							<a href="{{ path('panier_delete', {'id': annonce.id}) }}" class='btn btn-outline-danger mb-3'>Retirer au Panier</a><br>
						{% else %}
							<a href="{{ path('ajouter_panier', {'id': annonce.id}) }}" class='btn btn-outline-warning mb-3'>Ajouter au Panier</a><br>
						{% endif %}
					</div>
					{% if app.user and app.user.isAdmin == null %}
						<a href="{{ path('annonce_edit', {'id': annonce.id}) }}" class='btn btn-outline-success mb-3'>Edit</a><br>
						<a onclick="return confirm('Etes-vous sûr')" href="{{ path('annonce_delete', {'id': annonce.id}) }}" class='btn btn-outline-danger'>Supprimer</a>
					{% else %}
						{% for userAnnonce in app.user.lesAnnonces %}
							{% if annonce.id == userAnnonce.id %}
								<a href="{{ path('annonce_edit', {'id': annonce.id}) }}" class='btn btn-outline-primary mb-3'>Edit</a><br>
								<a onclick="return confirm('Etes-vous sûr')" href="{{ path('annonce_delete', {'id': annonce.id}) }}" class='btn btn-outline-danger'>Supprimer</a>
								{% else %}
							{% endif %}
						{% endfor %}
					{% endif %}
				</div>
			</div>
		</div>
	</div>
{% endblock %}
